Search Results for

Show / Hide Table of Contents

# Class Scenario

##### Inheritance

System.Object
Scenario
AllViewsTester
AutoSizeAndDirectionText
BackgroundWorkerCollection
BasicColors
Borders
BordersComparisons
BordersOnFrameView
BordersOnToplevel
BordersOnWindow
Buttons
CharacterMap
ClassExplorer
Clipping
ColorPickers
ComboBoxIteration
ComputedLayout
ContextMenus
CsvEditor
Dialogs
DynamicMenuBar
DynamicStatusBar
Editor
GraphViewExample
HexEditor
InteractiveTree
InvertColors
Keys
LabelsAsLabels
LineViewExample
ListsAndCombos
ListViewWithSelection
MessageBoxes
Mouse
MultiColouredTable
MyScenario
Notepad
Progress
ProgressBarStyles
RuneWidthGreaterThanOne
Scrolling
SendKeys
SingleBackgroundWorker
SyntaxHighlighting
TableEditor
TabViewExample
Text
TextAlignments
TextAlignmentsAndDirections
TextFormatterDemo
TextViewAutocompletePopup
Threading
TimeAndDate
TreeUseCases
TreeViewFileSystem
UnicodeInMenu
WindowsAndFrameViews
WizardAsView
Wizards

##### Implements

System.IDisposable

###### Namespace: UICatalog

###### Assembly: UICatalog.dll

##### Syntax

    public class Scenario : Object

### Constructors

#### Scenario()

##### Declaration

    public Scenario()

### Properties

#### Top

##### Declaration

    public Toplevel Top { get; set; }

##### Property Value

Type | Description
--- | ---
Toplevel |

#### Win

##### Declaration

    public Window Win { get; set; }

##### Property Value

Type | Description
--- | ---
Window |

### Methods

#### Dispose()

##### Declaration

    public void Dispose()

#### Dispose(Boolean)

##### Declaration

    protected virtual void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing |

#### GetCategories()

##### Declaration

    public List<string> GetCategories()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.List<System.String> |

#### GetDerivedClasses<T>()

##### Declaration

    public static List<Type> GetDerivedClasses<T>()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.List<System.Type> |

##### Type Parameters

Name | Description
--- | ---
T |

#### GetDescription()

##### Declaration

    public string GetDescription()

##### Returns

Type | Description
--- | ---
System.String |

#### GetName()

##### Declaration

    public string GetName()

##### Returns

Type | Description
--- | ---
System.String |

#### Init(Toplevel, ColorScheme)

##### Declaration

    public virtual void Init(Toplevel top, ColorScheme colorScheme)

##### Parameters

Type | Name | Description
--- | --- | ---
Toplevel | top |
ColorScheme | colorScheme |

#### RequestStop()

##### Declaration

    public virtual void RequestStop()

#### Run()

##### Declaration

    public virtual void Run()

#### Setup()

##### Declaration

    public virtual void Setup()

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

### Implements

System.IDisposable